Bug 847033 - Keyboard shortcuts cannot be disabled
Keyboard shortcuts cannot be disabled
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 09:49 EDT by Steevithak
Modified: 2013-08-01 00:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:15:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steevithak 2012-08-09 09:49:06 EDT
Description of problem:
After installing F17, I opened a gnome terminal window, clicked "edit" and then "keyboard shortcuts". I unchecked the two options labeled "enable menu access keys" and "enable the menu shortcut key F10". This is normal procedure for making the terminal usable in GNOME. However as of F17, the terminal is broken and unchecking these options doesn't really turn off the feature. Even with the those "features" unchecked, I still can't use the F10 key without GNOME interfering with my work by displaying some annoying menu over top of what I'm doing.

I can't describe how incredibly annoying this bug is as I have to work in terminals constantly. This single bug is enough to make me move to another distro so I can get work done again, so please, please fix it ASAP!! 


Version-Release number of selected component (if applicable):
gnome-terminal-3.4.1-1.fc17.x86_64


How reproducible:
always

Steps to Reproduce:
1. install F17
2. start terminal
3. press f10 (can't use it because gnome-terminal eats it)
4. click edit, click "keyboard shortcuts"
5. uncheck both "enable GNOME to eat F key options"
6. press f10 (gnome-terminal has ignored settings 
  
Actual results:
F keys cannot be used in gnome-terminal 

Expected results:
terminal should work properly once the features that interfer with f key use have been disable as it has done in all past versions of GNOME


Additional info:
considering how important terminal use is to some fedora users, maybe someone should add verification that the terminals work right to some sort of check list of important stuff to check before shipping a new release? This is basic stuff that shouldn't be broken - I've used a lot of different linux distro in my time and never, ever seen one shipped with a broken terminal before!
Comment 1 Steevithak 2012-08-09 10:08:29 EDT
Because of the seriousness of this bug, I've also filed a bug upstream in the GNOME bugzilla: 

 https://bugzilla.gnome.org/show_bug.cgi?id=681517

If there's any additional info I can provide to help get this fixed, I'll be happy to do so.
Comment 2 Steevithak 2012-08-09 13:52:41 EDT
My GNOME bug was marked as a dupe of this bug:

 https://bugzilla.gnome.org/show_bug.cgi?id=661973

Reading those bug comments is scary - the GNOME folks have apparently spent nearly a full year trying to solve this one and it's still broken. Any chance someone at RedHat could take a look at the code and maybe send a patch upstream to GNOME?
Comment 3 Fedora End Of Life 2013-07-03 20:29:42 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 00:15:46 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.